<?php
require_once("../config/conexion.php");
require_once("../models/Procedencia.php");
$procedencia = new Procedencia();
/*=============================================
    JAVASCRIPT
    =============================================*/
switch ($_GET["op"]) {
    case "insertarActualizar":
        if (isset($_POST["personadbk"])) {
            $personadbk = $_POST["personadbk"];
        } else {
            if (isset($_POST["personadbkP"])) {
                $personadbk = $_POST["personadbkP"];
            }
        }
        if ($_POST["proc_pais"] == 56) {
            $_POST["proc_provinciatxt"] = "NA";
            $_POST["proc_cantontxt"] = "NA";
        }
        if ($_POST["proc_pais"] != 56) {
            $_POST["proc_provincia"] = 0;
            $_POST["proc_canton"] = 0;
        }        
        $datos = array( "tabla" => "procedencia",
                        "proc_personadbk" => $personadbk,
                        "proc_pais" => $_POST["proc_pais"],
                        "proc_provincia" => $_POST["proc_provincia"],
                        "proc_provinciatxt" => $_POST["proc_provinciatxt"],
                        "proc_canton" => $_POST["proc_canton"],
                        "proc_cantontxt" => $_POST["proc_cantontxt"],
                        "proc_parroquia" => $_POST["proc_parroquia"],
                        "proc_barrio" => $_POST["proc_barrio"],
                        "proc_zona" => $_POST["proc_zona"],
                        "proc_direccion" => $_POST["proc_direccion"]
            );        
        $procedencia->mdlInsertarActualizarProcedencia($datos);
        break;
}
?>

